# pwavfile.h File Reference

`#include <ptlib/pfactory.h>`

Go to the source code of this file.

## Namespaces

namespace | PWAV

## Classes

struct | PWAV::ChunkHeader
struct | PWAV::RIFFChunkHeader
struct | PWAV::FMTChunk
class | PWAVFileFormat
| Abstract factory class for handling WAV files formats. More...
class | PWAVFileConverter
| Abstract factory class for autoconversion of WAV files to/from PCM-16. More...
class | PWAVFile
| A class representing a WAV audio file. More...

## Defines

#define | P_PACKED

## Typedefs

typedef PFactory< PWAVFileFormat, PCaselessString > | PWAVFileFormatByFormatFactory
typedef PFactory< PWAVFileFormat, unsigned > | PWAVFileFormatByIDFactory
typedef PFactory< PWAVFileConverter, unsigned > | PWAVFileConverterFactory

## Functions

| PFACTORY_LOAD (PWAVFileFormatPCM)

## Define Documentation

#define P_PACKED

## Typedef Documentation

typedef PFactory<PWAVFileConverter, unsigned> PWAVFileConverterFactory

typedef PFactory<PWAVFileFormat, PCaselessString> PWAVFileFormatByFormatFactory

typedef PFactory<PWAVFileFormat, unsigned> PWAVFileFormatByIDFactory

## Function Documentation

PFACTORY_LOAD | ( | PWAVFileFormatPCM |  | ) |